
Redmine - Defect #3648

Error when importing Trac DB, 'unknown attribute: role'

2009-07-22 01:47 - trey long

Status: Closed Start date: 2009-07-22

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

patch included.

--trace output

Migrating tickets...rake aborted!

unknown attribute: role

/var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2587:in `attributes='

/var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2583:in `each'

/var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2583:in `attributes='

/var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2283:in `initialize'

/var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:691:in `new'

/var/lib/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:691:in `create'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:266:in `find_or_create_user'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:481:in `migrate'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:461:in `each'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:461:in `migrate'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:761

/usr/lib/ruby/1.8/rake.rb:617:in `call'

/usr/lib/ruby/1.8/rake.rb:617:in `execute'

/usr/lib/ruby/1.8/rake.rb:612:in `each'

/usr/lib/ruby/1.8/rake.rb:612:in `execute'

/usr/lib/ruby/1.8/rake.rb:578:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:564:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2027:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2005:in `each'

/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1999:in `top_level'

/usr/lib/ruby/1.8/rake.rb:1977:in `run'

/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1974:in `run'

/usr/bin/rake:28

History

#1 - 2009-07-25 02:58 - Eric Davis

- Category set to Importers

Could someone upload a copy of their Trac database so I can test this patch out?

#2 - 2009-09-30 00:01 - Cyrille Bonnet

Hi there,

I had the same issue and the patch did fix the problem for me. Eric, let me know if you want a copy of my Trac db, I'd be happy to share it privately

with you.

Cheers
#3 - 2009-09-30 23:58 - Eric Davis

- Assignee set to Eric Davis

Cyrille Bonnet,

That would be great.  Just zip or tar it up and send it to me at the address listed on my account.

#4 - 2009-11-11 23:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

This was fixed in r2922.

Files

roles_fix_2824.diff 585 Bytes 2009-07-21 trey long
